## rat
Class ArchiveElement

    java.lang.Object
      rat.ArchiveElement

All Implemented Interfaces:
  java.lang.Comparable

    public class ArchiveElement

extends java.lang.Object

Field Summary
`protected java.io.File` `file`
`protected java.lang.String` `name`

Constructor Summary
`ArchiveElement(java.io.File file)`

Method Summary
`void` `accept(rat.IElementVisitor visitor)`
`int` `compareTo(java.lang.Object subject)`
`java.lang.String` `getName()`
`java.lang.String` `getPath()`
`protected java.io.Reader` `getReader()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected final java.io.File file

### name

    protected final java.lang.String name

Constructor Detail

### ArchiveElement

    public ArchiveElement(java.io.File file)

Method Detail

### accept

    public void accept(rat.IElementVisitor visitor)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public final java.lang.String getName()

### getPath

    public final java.lang.String getPath()

### getReader

    protected final java.io.Reader getReader()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(java.lang.Object subject)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`